unit AboutUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ShellApi, ExtCtrls;

type
  TFrmAbout = class(TForm)
    ButtonOK: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    EditProductName: TEdit;
    EditVersion: TEdit;
    EditUpDateTime: TEdit;
    EditProgram: TEdit;
    EditWebSite: TEdit;
    EditBbsSite: TEdit;
    Button1: TButton;
    Image1: TImage;
    procedure ButtonOKClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Open();
  end;

var
  FrmAbout: TFrmAbout;

implementation
uses M2Share, Common, EncryptUnit;
{$R *.dfm}

procedure TFrmAbout.Open();
var
  ConfigOption: TConfigOption;
  Buffer: Pointer;
  sText: string;
begin
  EditUpDateTime.Text := '24/08/2011';
  EditProductName.Text := 'Legend of Mir 2: Heroes';
  EditProgram.Text := 'Thanks to everyone';
  EditWebSite.Text := 'www.legendofmirheroes.com'; ;
  EditBbsSite.Text := 'http://code.google.com/p/mir2-heroes/';
  EditVersion.Text := 'Build 2011';

  EditUpDateTime.ReadOnly := True;
  EditProductName.ReadOnly := True;
  EditProgram.ReadOnly := True;
  EditWebSite.ReadOnly := True;
  EditBbsSite.ReadOnly := True;
  EditVersion.ReadOnly := True;

  ShowModal;
end;

procedure TFrmAbout.ButtonOKClick(Sender: TObject);
begin
  Close;
end;

procedure TFrmAbout.Button1Click(Sender: TObject);
begin
ShellExecute(0,
nil,
'http://www.legendofmirheroes.com',
nil,
nil,
SW_SHOWNORMAL);
end;

end.
